## debconf

debconf —

## Synopsis

    int         check_missing                   (gchar *fe);
    void        get_frontends                   (GtkWidget *combo);
    void        fe_select                       (GtkMenuItem *entry,
                                                 gpointer user_data);
    void        sig_hand                        (gint sig);
    int         run_config                      (gchar *cf);

## Description

## Details

### check_missing ()

    int         check_missing                   (gchar *fe);

`fe`: Frontend name.

Check if the package is installed on the system.

`fe`: |
Returns : | 0 if package is installed. Anything else otherwise.

### get_frontends ()

    void        get_frontends                   (GtkWidget *combo);

`entry`: GTK_ENTRY where frontend is. `user_data`: The frontend name.

Mostly a callback to the frontend selection menu items

`combo`: |

### fe_select ()

    void        fe_select                       (GtkMenuItem *entry,
                                                 gpointer user_data);

`entry`: |
`user_data`: |

### sig_hand ()

    void        sig_hand                        (gint sig);

`sig`: |

### run_config ()

    int         run_config                      (gchar *cf);

`cf`: Package name to reconfigure.

Run dpk-reconfigure.

`cf`: |
Returns : |